Subject: Re: bug#77075: [PATCH] Prepare package.el to be published on GNU ELPA, [PATCH] Prepare package.el to be published on GNU ELPA

From: Stefan Kangas <[email-masked]>
Date: Tue, 18 Mar 2025 15:50:19 -0700

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> I'm worried that our standard practice is being polluted by other
> systems where it's routine to force all users to constantly upgrade
> everything (which I believe ultimately erodes the freedoms offered by
> Free Software), so I think it's important that the packages over which
> we have some control preserve the tradition of being careful to keep
> dependencies no stricter than necessary.

Could you perhaps briefly explain the philosophical argument?